Subject: Re: [PATCH] drivers:atlx: Prevent integer overflow in statistics aggregation

From: Jakub Kicinski <[email-masked]>
Date: Mon, 7 Oct 2024 17:27:15 -0700

On Mon,  7 Oct 2024 12:29:36 +0300 Rand Deeb wrote:
> The `atl1_inc_smb` function aggregates various RX and TX error counters
> from the `stats_msg_block` structure. Currently, the arithmetic operations
> are performed using `u32` types, which can lead to integer overflow when
> summing large values. This overflow occurs before the result is cast to
> a `u64`, potentially resulting in inaccurate network statistics.
> 
> To mitigate this risk, each operand in the summation is explicitly cast to
> `u64` before performing the addition. This ensures that the arithmetic is
> executed in 64-bit space, preventing overflow and maintaining accurate
> statistics regardless of the system architecture.

Thanks for the nice commit message, but honestly I don't think
the error counters can overflow u32 on an ancient NIC like this.
-- 
pw-bot: reject